GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List personas GETAdd persona POSTDelete persona DELETEUpdate persona PUT
Personas

Refresh page POST

Refresh an existing page in the background.

Add persona POST

Add a buyer persona.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Personas

List personas

GET
/brands/{brandId}/personas

List a brand's buyer personas.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Response Body

Personas in display order

application/json
  1. response
  1. response
  2. …
items*array<>
limit*integer

Most personas a brand can have

Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/personas'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "ageRange": "string",      "educationLevel": "string",      "gender": "female",      "prompt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "limit": 0}

Refresh page POST

Refresh an existing page in the background.

Add persona POST

Add a buyer persona.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/personas'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "ageRange": "string",
      "educationLevel": "string",
      "gender": "female",
      "prompt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "limit": 0
}